using JSMR.Infrastructure.Data;
using JSMR.Tests.Fixtures;

namespace JSMR.Tests.Search.Tag;

public sealed class TagSearchProviderFixture(MariaDbContainerFixture container) : SearchProviderFixture(container)
{
    protected override async Task SeedAsync(AppDbContext context)
    {
        context.Tags.AddRange(
           new() { TagId = 1, Name = "OL" },
           new() { TagId = 2, Name = "ほのぼの", Favorite = true },
           new() { TagId = 3, Name = "ツンデレ", Blacklisted = true }
        );

        context.EnglishTags.AddRange(
           new() { EnglishTagId = 1, TagId = 1, Name = "Office Lady" },
           new() { EnglishTagId = 2, TagId = 2, Name = "Heartwarming" },
           new() { EnglishTagId = 3, TagId = 3, Name = "Tsundere" }
        );

        await context.SaveChangesAsync();
    }
}